﻿
@import url(pp-bootstrap.css?v=1.21);

.text-danger {
    color: gold !important
}

.text-balance {
    font-size: 16px;
    font-weight: 400;
    color: var(--pp-color-balance) !important;
}

.text-account {
    font-size: 16px;
    font-weight: 400;
    color: var(--pp-color-account);
}

.text-label {
    font-size: 14px !important;
    font-weight: 400;
}

.form-group label {
    font-weight: bold !important;
}

h1.title {
    text-align: center !important;
    font-weight: 500;
    font-size: 22px !important;
    color: #ffffff !important;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: var(--pp-header-title-color);
}

h1.title2 {
    text-align: center !important;
    font-weight: 500;
    font-size: 22px !important;
    color: #ffffff !important;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: var(--pp-header-title-color);
}

h2.title {
    text-align: center !important;
    font-weight: 400;
    font-size: 20px !important;
    color: var(--pp-body-color) !important;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: var(--pp-header-title-color);
}

h3.title {
    text-align: center !important;
    font-weight: 400;
    font-size: 20px !important;
    color: var(--pp-body-color) !important;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: var(--pp-header-title-color);
}

a {
    font-size: 1rem;
    text-decoration: none;
}

    a:hover {
        text-decoration: none;
    }

    a.nav-link {
        color: var(--pp-body-color);
    }

        a.nav-link:hover {
            color: var(--pp-color-hover) !important;
        }

/* a.active {
        color: var(--pp-color-1-active) !important;
    }*/

label {
    font-size: 1.1rem;
    color: var(--pp-body-color) !important;
}

.border-gold-1 {
    border: 1px solid goldenrod !important;
    margin-top: 10px !important;
    margin-bottom: 10px !important;
    padding: 0 !important;
}

.img:hover {
    -moz-transform: scale(1.2);
    -moz-transition: all 0.4s ease-in-out;
    -ms-transform: scale(1.5);
    -o-transform: scale(1.5);
    -o-transition: all 0.4s ease-in-out;
    -webkit-transform: scale(1.2);
    -webkit-transition: all 0.4s ease-in-out;
    border: 1px solid red;
    /*position: absolute;*/
    margin-left: 7px;
    /* ReSharper disable once InvalidValue */
    transform: rotate scale(1.5);
    transition: all 0.4s ease-in-out;
    z-index: 9999 !important;
}

/*** Customize Color ***/

.color-title {
    display: inline-block;
    background: var(--pp-header-title-color);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
}

.color-error {
    color: var(--pp-color-error) !important;
}

.color-success {
    color: var(--pp-color-success) !important;
}

.color-default {
    color: var(--pp-color-default) !important;
}

.color-balance {
    color: var(--pp-color-balance) !important;
}

.color-primary {
    color: var(--pp-color-primary) !important;
}

.color-info {
    color: var(--pp-color-info) !important;
}

.color-warning {
    color: var(--pp-color-warning) !important;
}

.color-error {
    color: var(--pp-color-error) !important;
}

.color-danger {
    color: var(--pp-color-danger) !important;
}

.color-white {
    color: #ffffff !important;
}

.color-header {
    color: #ffffff !important;
}

.color-green {
    color: green !important;
}

.color-approve {
    color: green !important;
}

.color-pending {
    color: #ba4e12 !important;
}

.color-cancel {
    color: #c62232 !important;
}

.color-black {
    color: #000000 !important;
}

.color-grey {
    color: gray !important;
}

.color-red {
    color: red !important;
}

.color-gold {
    color: gold !important;
}

.color-yellow {
    color: yellow !important;
}

.color-link {
    color: #ffffff !important;
}

.color-spin {
    color: #ffffff !important;
}
/*** Customize Width & Heigh ***/
.max-width {
    max-width: 100% !important;
}

.w-200 {
    width: 200px !important;
}

.min-width-100 {
    min-width: 100px !important;
}

.min-width-150 {
    min-width: 150px !important;
}

.h-100p {
    height: 100% !important;
}

.w-100p {
    width: 100% !important;
}

.width-250 {
    width: 250px !important;
}

/*** Customize Font ***/
.font-10 {
    font-size: 10px !important;
}

.font-11 {
    font-size: 11px !important;
}

.font-12 {
    font-size: 12px !important;
}

.font-13 {
    font-size: 13px !important;
}

.font-14 {
    font-size: 14px !important;
}

.font-16 {
    font-size: 16px !important;
}

.font-18 {
    font-size: 18px !important;
}

.font-20 {
    font-size: 20px !important;
}

.font-22 {
    font-size: 22px !important;
}

.font-24 {
    font-size: 24px !important;
}

.font-26 {
    font-size: 26px !important;
}

.font-30 {
    font-size: 30px !important;
}

.font-40 {
    font-size: 40px !important;
}

.font-bold {
    font-weight: bold !important;
}

.font-normal {
    font-weight: normal !important;
}

.font-title {
    color: #ffffff;
    font-weight: bold;
    font-size: 22px;
}

/*** General ***/
img.black-white {
    -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
    filter: grayscale(100%);
}

.img {
    background-color: #141414 !important;
    border-radius: 20px !important;
}

.img-circle {
    border-radius: 50%;
}

.img-border-round {
    border-radius: 15px;
}

/**** Change some style form ****/
/* custom select2 */
.select2-dropdown {
    background-color: #ffffff !important;
    z-index: 9999 !important;
    color: #000000 !important;
}

.select2-selection__rendered {
    line-height: 45px !important;
    border-radius: var(--pp-form-control-border-radius) !important;
    color: var(--pp-form-control-color) !important;
    text-align: left;
    font-size: 14px;
    border: var(--pp-form-control-border);
}

.select2-container .select2-selection--single {
    height: 45px !important;
    border: none !important;
    border-radius: var(--pp-form-control-border-radius) !important;
    background: var(--pp-form-control-bg) !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 45px !important;
    /*display: none !important;*/
}

.select2-container .select2-selection--single:focus {
    outline: none;
    border-color: var(--pp-bg-color-default) !important;
    box-shadow: var(--pp-form-control-box-shadow);
}

.custom-select {
    background: var(--pp-form-control-bg);
    border: none;
    border-radius: var(--pp-form-control-border-radius);
    /*box-shadow: var(--pp-form-control-box-shadow);*/
    color: var(--pp-form-control-color);
    outline: none;
    /*padding: 10px;*/
    width: 100%;
    font-size: 14px;
}

.form-login {
    margin-bottom: 15px;
    text-align: left;
}
.form-login:last-child {
    margin-bottom: 0;
}
.form-login label {
    display: block;
    color: var(--pp-color-default);
    margin-bottom: 8px;
    font-size: 14px;
}

.form-login .form-control {
    line-height: var(--pp-form-control-line-height);
    color: var(--pp-form-control-color);
    background: var(--pp-form-control-bg);
    font-size: 14px;
}

    .form-login .form-control:focus, .custom-select:focus {
        outline: none;
        border-color: var(--pp-bg-color-default) !important;
        box-shadow: var(--pp-form-control-box-shadow);
    }

.form-control {
    background: var(--pp-form-control-bg);
    border: var(--pp-form-control-border);
    border-radius: var(--pp-form-control-border-radius);
    /*box-shadow: var(--pp-form-control-box-shadow);*/
    color: var(--pp-form-control-color);
    outline: none;
    box-sizing: border-box;
    transition: border-color 0.3s, box-shadow 0.3s;
}

.form-control[disabled] {
            background: var(--pp-form-control-bg-disabled) !important;
        }

        .form-control::-moz-placeholder {
            color: var(--pp-form-control-color-placeholder) !important;
            opacity: 1;
        }

        .form-control::placeholder {
            color: var(--pp-form-control-color-placeholder) !important;
            opacity: 1;
        }

        .form-control:disabled {
            background-color: var(--pp-form-control-bg-disabled);
            opacity: 1;
        }

        .form-control[readonly] {
            color: var(--pp-form-control-color) !important;
        }

        .input-group > button {
            border-radius: 0 10px 10px 0 !important;
        }
        /* Tooltip for Swal alert */
        .tooltipcopy {
            position: relative;
            display: inline-block;
        }

            .tooltipcopy .tooltiptext {
                visibility: hidden;
                width: 140px;
                background-color: #555;
                color: #fff;
                text-align: center;
                border-radius: 6px;
                padding: 5px;
                position: absolute;
                z-index: 1;
                bottom: 150%;
                left: 50%;
                margin-left: -75px;
                opacity: 0;
                transition: opacity 0.3s;
            }

                .tooltipcopy .tooltiptext::after {
                    content: "";
                    position: absolute;
                    top: 100%;
                    left: 50%;
                    margin-left: -5px;
                    border-width: 5px;
                    border-style: solid;
                    border-color: #555 transparent transparent transparent;
                }

            .tooltipcopy:hover .tooltiptext {
                visibility: visible;
                opacity: 1;
            }
        /*Custom scrollbar*/
        /* width */
        ::-webkit-scrollbar {
            width: 10px;
        }
        /* Track */
        ::-webkit-scrollbar-track {
            /*box-shadow: var(--pp-scrollbar-box-shadow);*/
            border-radius: 10px;
            background: var(--pp-scrollbar-bg-track);
        }
        /* Handle */
        ::-webkit-scrollbar-thumb {
            background: var(--pp-scrollbar-bg);
            border-radius: 10px;
        }
            /* Handle on hover */
            ::-webkit-scrollbar-thumb:hover {
                background: var(--pp-scrollbar-bg-hover);
            }

        .bg-default {
            background-color: #000000 !important;
        }

        .bg-red {
            background-color: #cc0e0e !important;
        }

        .bg-complete {
            background-color: green !important;
            color: #ffffff !important;
        }

        .bg-approve {
            background-color: #128294 !important;
            color: #ffffff !important;
        }

        .bg-pending {
            background-color: #ba4e12 !important;
            color: #ffffff !important;
        }

        .bg-expire {
            background-color: #6d4c41 !important;
            color: #ffffff !important;
        }

        .bg-cancel {
            background-color: #cc0e0e !important;
            color: #ffffff !important;
        }

        .bg-status-request {
            display: flex;
            margin: 0;
            padding: 5px;
            border-radius: 5px;
            border: 1px solid #d2b48c;
            font-weight: 600;
            background-color: #d2b48c;
            color: #000000;
        }

        .bg-status-checking-bank {
            display: flex;
            margin: 0;
            padding: 5px;
            border-radius: 5px;
            border: 1px solid #dc143c;
            font-weight: 600;
            background-color: #dc143c;
            color: #ffffff;
        }

        .bg-status-bank-approved {
            display: flex;
            margin: 0;
            padding: 5px;
            border-radius: 5px;
            border: 1px solid #ff66cc;
            font-weight: 600;
            background-color: #ff66cc;
            color: #000000;
        }

        .bg-status-checking-casino {
            display: flex;
            margin: 0;
            padding: 5px;
            border-radius: 5px;
            border: 1px solid #dc143c;
            font-weight: 600;
            background-color: #dc143c;
            color: #ffffff;
        }

        .bg-status-completed {
            display: flex;
            margin: 0;
            padding: 5px;
            border-radius: 5px;
            border: 1px solid green;
            font-weight: 600;
            background-color: green;
            color: #ffffff;
        }

        .bg-title {
            background: rgb(169,53,13);
            background: linear-gradient(180deg, rgba(169,53,13,1) 23%, rgba(186,78,18,1) 100%);
            background-clip: border-box;
            border: 1px solid #ba4e12;
            border-radius: 20px;
            padding: 0;
        }

        .bg-phone, .bg-line, .bg-telegram, .bg-messenger {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            padding: var(--pp-contact-padding);
            margin: var(--pp-contact-margin);
            border-radius: var(--pp-contact-border-radius);
            font-size: inherit;
        }


        .bg-phone {
            background: var(--pp-contact-phone-bg);
        }

        .bg-line {
            background: var(--pp-contact-line-bg);
        }

        .bg-messenger {
            background: var(--pp-contact-messenger-bg);
        }

        .bg-telegram {
            background: var(--pp-contact-telegram-bg);
        }

        table.table tr th {
            color: #000000;
            background-color: #ffffff !important;
        }

        table.table tr {
            color: #000000;
            background-color: #cccccc !important;
        }

            table.table tr:hover {
                color: #ba4e12 !important;
            }
        /* SideNav*/
        .sidenav {
            height: 100%;
            width: 0;
            position: fixed;
            z-index: 1031;
            top: 0;
            left: 0;
            background-color: #111;
            overflow-x: hidden;
            transition: 0.5s;
            padding-top: 60px;
        }

            .sidenav a {
                padding: 8px 8px 8px 32px;
                text-decoration: none;
                font-size: 18px;
                color: #ffffff;
                display: block;
                transition: 0.3s;
            }

                .sidenav a:hover {
                    color: #f1f1f1;
                }

            .sidenav .closebtn {
                position: absolute;
                top: 0;
                right: 25px;
                font-size: 36px;
                margin-left: 50px;
            }

        #main {
            transition: margin-left .5s;
            padding: 10px 10px 10px 0;
        }

        @media screen and (max-height: 450px) {
            .sidenav {
                padding-top: 15px;
            }

                .sidenav a {
                    font-size: 18px;
                }
        }
        /* End sidenav */
        /*** Customize Boostrap ***/
        /* Customize Carousel */
        .carousel-indicators li {
            /*box-sizing: content-box;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;*/
            width: 15px !important;
            height: 15px !important;
            /*margin-right: 3px;
    margin-left: 3px;
    text-indent: -999px;
    cursor: pointer;
    background-color: #fff;
    background-clip: padding-box;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    opacity: .5;
    transition: opacity 0.6s ease;*/
        }
        /*** End Customize Boostrap ***/

        .new-game-badge {
            background: url('../images/icons/new.png');
            background-repeat: no-repeat;
            background-size: 100%;
            position: absolute;
            height: 100%;
            top: -0.35rem;
            left: -0.4rem;
            width: 100%;
            max-width: 50px;
            z-index: 1 !important;
        }

        .hot-game-badge {
            background: url('../images/icons/hot.png');
            background-repeat: no-repeat;
            background-size: 100%;
            position: absolute;
            height: 100%;
            top: -0.35rem;
            left: 0;
            /*top: -0.35rem;
    left: -0.4rem;*/
            width: 100%;
            max-width: 50px;
            z-index: 1 !important;
        }

        .no-click {
            cursor: not-allowed !important;
        }

        .img-filter-gray {
            filter: grayscale(0.9);
        }

        .search-game-list > input[type=text] {
            width: 150px;
            box-sizing: border-box;
            border: 2px solid #ccc;
            border-radius: 4px;
            font-size: 16px;
            background-color: white;
            /*background-image: url('searchicon.png');*/
            background-position: 10px 10px;
            background-repeat: no-repeat;
            padding: 5px 20px 5px 40px;
            -webkit-transition: width 0.4s ease-in-out;
            transition: width 0.4s ease-in-out;
            border-radius: 20px;
        }

            .search-game-list > input[type=text]:focus {
                /*width: 100%;*/
                width: 250px;
            }

        @media (max-width: 767px) {
            .search-game-list > input[type=text] {
                padding: 5px 10px;
                border-radius: 15px;
            }

                .search-game-list > input[type=text]:focus {
                }
        }
        /*** Popup Form ***/
        .popup-close-button {
            align-content: center;
            background: #ff4c4c;
            border: none;
            border-radius: 50px;
            display: flex;
            flex-direction: column;
            flex-wrap: nowrap;
            height: 30px;
            justify-content: center;
            padding: 0;
            position: absolute;
            right: 2px;
            text-align: center;
            top: -10px;
            width: 30px;
        }

        @media (max-width: 767px) {
            .popup-close-button {
                right: 10px;
                top: 10px;
            }
        }

        .popup-close-button i {
            color: white;
            display: block;
            margin: 0 auto;
            font-size: 12px;
        }

        .popup-text-header h1 {
            font-size: 20px;
            color: #ffffff;
        }

        .popup-text-content {
            font-weight: lighter !important;
            font-size: 16px !important;
            color: #d2b48c !important;
        }

        .popup-user-profile img {
            margin-left: -5px;
            margin-top: auto;
            width: 27px;
        }

        .popup-user-profile table {
            font-weight: 100;
            margin: 0;
            margin: 0 auto;
            max-width: 351px;
            padding: 0;
            width: 100%;
        }

        .popup-user-profile tr {
        }

        .popup-user-profile td {
            padding-bottom: 10px;
        }

            .popup-user-profile td:nth-child(1) {
                font-weight: 400;
                text-align: right;
                width: 35%;
            }

            .popup-user-profile td:nth-child(2) {
                width: 65%;
                text-align: left;
                padding-left: 20px;
            }

        .popup-user-profile strong {
            color: white;
            display: inline-block;
            margin-right: 11px;
            width: 50px;
        }

        .btnConfirm {
            background: linear-gradient(180deg, #fff287, #9d6a29);
            border: none;
            border-radius: 20px;
            color: white;
            display: block;
            margin: 20px auto;
            max-width: 300px;
            padding: 10px;
            text-align: center;
            width: 100%;
        }

        .btn-change-password {
            background: linear-gradient(180deg, #fff287, #9d6a29);
            border: none;
            border-radius: 20px;
            color: white;
            display: block;
            margin: 20px auto;
            max-width: 300px;
            padding: 10px;
            text-align: center;
            width: 100%;
        }

        .btn-change-game-password {
            background: linear-gradient(180deg, var(--pp-color-1), var(--pp-color-2));
            border: none;
            border-radius: 20px;
            color: white;
            display: block;
            margin: 20px auto;
            max-width: 300px;
            padding: 10px;
            text-align: center;
            width: 100%;
        }

            .btn-change-password:hover, .btn-change-game-password:hover {
                font-weight: bold;
                color: var(--pp-color-1-active) !important;
            }
        /** End Popup Form **/
        /** Swalalert2 Customize Style **/
        .my-validation-message::before {
            display: none;
        }

        .my-validation-message i {
            margin: 0 .4em;
            color: #28a745;
            font-size: 1.4em;
        }
        /** Lucky Spin Customize Style **/
        .bg-spin-lucky {
            border-radius: 20px;
            background-image: linear-gradient(180deg, #3a3a3a, #101010), linear-gradient(180deg, #fefd96, #151515);
            /*background: rgb(248,177,42);
    background: linear-gradient(90deg, rgba(248,177,42,1) 4%, rgba(197,98,24,1) 32%, rgba(172,59,15,1) 85%);*/
        }
        /** Button */
        .btn-3d-1 {
            background: #51A3B8;
            font-size: inherit;
            color: white;
            border-radius: 7px;
            box-shadow: 0 7px 0px #387796;
            display: inline-block;
            transition: all .2s;
            position: relative;
            padding: 10px 10px;
            position: relative;
            top: 0;
            cursor: pointer;
            margin: 0;
        }

            .btn-3d-1:active {
                top: 3px;
                box-shadow: 0 2px 0px #d63384;
                transition: all .2s;
            }

            .btn-3d-1.active, .btn-3d-2.active, .btn-3d-3.active {
                background: gold;
                color: #000000;
            }

        .btn-3d-2 {
            background: #8d6e63;
            font-size: inherit;
            color: white;
            border-radius: 7px;
            box-shadow: 0 7px 0px #6d4c41;
            display: inline-block;
            transition: all .2s;
            position: relative;
            padding: 10px 10px;
            position: relative;
            top: 0;
            cursor: pointer;
            margin: 0;
        }

            .btn-3d-2:active {
                top: 3px;
                box-shadow: 0 2px 0px #6d4c41;
                transition: all .2s;
            }


        .btn-3d-3 {
            background: #7986cb;
            font-size: inherit;
            color: white;
            border-radius: 7px;
            box-shadow: 0 7px 0px #3f51b5;
            display: inline-block;
            transition: all .2s;
            position: relative;
            padding: 10px 10px;
            position: relative;
            top: 0;
            cursor: pointer;
            margin: 0;
        }

            .btn-3d-3:active {
                top: 3px;
                box-shadow: 0 2px 0px #3f51b5;
                transition: all .2s;
            }

        .btn-3d-close {
            background: hsl(345deg 100% 47%);
            font-size: inherit;
            color: white;
            border-radius: 7px;
            box-shadow: 0 7px 0px hsl(340deg 100% 32%);
            display: inline-block;
            transition: all .2s;
            position: relative;
            padding: 10px 10px;
            position: relative;
            top: 0;
            cursor: pointer;
            margin: 0;
        }

            .btn-3d-close:active {
                top: 3px;
                box-shadow: 0 2px 0px #d63384;
                transition: all .2s;
            }

        .btn-3d-redeem {
            background: hsl(345deg 100% 47%);
            font-size: inherit;
            color: white;
            border-radius: 7px;
            box-shadow: 0 3px 0px hsl(340deg 100% 32%);
            display: inline-block;
            transition: all .2s;
            position: relative;
            padding: 5px;
            position: relative;
            top: 0;
            cursor: pointer;
            margin: 0;
        }

            .btn-3d-redeem:active {
                top: 0;
                box-shadow: 0 2px 0px #d63384;
                transition: all .2s;
            }

        .btn-pushable {
            background: hsl(340deg 100% 32%);
            border-radius: 12px;
            border: none;
            padding: 0;
            cursor: pointer;
            outline-offset: 4px;
        }

        .pushable-front {
            display: block;
            padding: 10px 10px;
            border-radius: 12px;
            font-size: inherit;
            background: hsl(345deg 100% 47%);
            color: white;
            transform: translateY(-6px);
        }

        .btn-pushable:active .pushable-front {
            transform: translateY(-2px);
        }

        .btn-copy {
            background: transparent;
            border: 1px solid #e1d87c;
            border-radius: 5px;
            color: white;
            font-weight: 300;
            padding: 2px 4px;
            font-size: clamp(11px, 2.5vw, 12px);
        }

            .btn-copy i {
                color: #e0d77c;
            }
        /** My Card Style  **/
        .card-bonus-bg, .card-promotion-bg, .card-rule-bg {
            background-color: #460d03;
            border-radius: 10px;
            padding: 5px;
            font-weight: normal;
            color: #ffffff;
            border: 1px solid #800e10;
        }

            .card-rule-bg span {
                font-size: 14px !important;
            }

            .card-bonus-bg span {
                color: gold;
            }

        .card-bank, .card-rule {
            border: 1px solid #e1d87c;
            border-radius: 10px;
            padding: 10px;
        }

        .card-bank {
            position: relative;
            cursor: pointer;
        }

            .card-bank:hover {
                border: 1px solid #28a745;
            }

            .card-bank.active {
                border: 1px solid #28a745;
            }

                .card-bank.active i {
                    visibility: visible;
                }
            /*.card-bank::after {
        visibility: hidden;
        position: absolute;
        top: -10px;
        left: 10px;
        content: "";
        transform: rotate(45deg);
        height: 24px;
        width: 12px;
        border-bottom: 7px solid #78b13f;
        border-right: 7px solid #78b13f;
    }*/

            .card-bank > i {
                visibility: hidden;
                position: absolute;
                top: 5px;
                left: 5px;
                color: #4cd41f;
                font-size: 30px;
            }

            .card-bank > div {
                display: flex;
                flex-direction: row;
                justify-content: space-around;
                align-items: center;
                width: 100%;
            }

            .card-bank img {
                max-width: 80px;
            }

            .card-bank span {
                color: #ffffff;
                font-size: clamp(12px, 14px, 1.5rem);
            }

        @media screen and (max-width: 480px) {
            .card-bank > div {
                flex-direction: column;
            }

            .card-bank span {
                font-size: 80%;
            }
        }
        /** End My Style **/
        /* Customize font style datetimepicker */
        .xdsoft_datetimepicker {
            font-family: var(--pp-body-font-family) !important;
        }
        /** Switch Button **/
        .switch {
            position: relative;
            display: inline-block;
            width: 60px;
            height: 34px;
        }

            .switch input {
                opacity: 0;
                width: 0;
                height: 0;
            }

        .slider {
            position: absolute;
            cursor: pointer;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #ccc;
            -webkit-transition: .4s;
            transition: .4s;
        }

            .slider:before {
                position: absolute;
                content: "";
                height: 26px;
                width: 26px;
                left: 4px;
                bottom: 4px;
                background-color: white;
                -webkit-transition: .4s;
                transition: .4s;
            }

        input:checked + .slider {
            background-color: #f4c712;
        }

        input:focus + .slider {
            box-shadow: 0 0 1px #f4c712;
        }

        input:checked + .slider:before {
            -webkit-transform: translateX(26px);
            -ms-transform: translateX(26px);
            transform: translateX(26px);
        }
        /* Rounded sliders */
        .slider.round {
            border-radius: 34px;
        }

            .slider.round:before {
                border-radius: 50%;
            }
        /** End Switch Button **/

        #myBtnScrollTop {
            display: none;
            position: fixed;
            bottom: 20px;
            right: 30px;
            z-index: 9999;
            font-size: 18px;
            border: none;
            outline: none;
            color: white;
            cursor: pointer;
            padding: 10px;
            margin: 0;
            border-radius: 10px;
            background: var(--pp-gradient-sidebar-active);
        }

            #myBtnScrollTop:hover {
                background-color: #555;
            }

        .btnClickD {
            background: var(--pp-btn-click-deposit-bg);
            color: var(--pp-body-color);
        }
        /* Swalalert2 */
        .swal2-html-container {
            margin: 10px !important;
        }

        .swal2-footer {
            border: none !important;
            padding: 0 !important;
        }

        .swal2-modal {
            padding: 0 0 10px 0 !important;
            margin: 0 !important;
        }

        .swal2-confirm {
            color: var(--pp-btn-confirm-color) !important;
        }

        #imgSpin {
            /*filter: drop-shadow(0px 0px 5px #f1f1f1) opacity(80%);*/
        }

        .cursor-pointer {
            cursor: pointer !important;
        }
        /* Random Text Color */
        .random-text-color {
            color: transparent;
            animation: effect-text-color 2s linear infinite;
        }

        @keyframes effect-text-color {
            0% {
                background: linear-gradient(#d2b48c, #fff287, #9d6a29);
                -webkit-background-clip: text;
            }

            100% {
                background: linear-gradient(chartreuse, #00ff00, #4cd41f);
                -webkit-background-clip: text;
            }
        }

        .form-label {
            position: absolute;
            left: 12px;
            top: 50%;
            transform: translateY(-50%);
            color: #6c757d; /* Bootstrap secondary color */
            pointer-events: none; /* Allows clicks to pass through to the input */
            transition: all 0.2s ease;
        }
        /* Hide label when input is focused or has content */
        .form-control:focus ~ .form-label,
        .form-control:not(:placeholder-shown) ~ .form-label {
            opacity: 0.8;
            transform: translateY(-2.5rem); /* Optional: Move label upward */
        }
        /* Style the input to match your design */
        .form-control {
            padding: 0.5rem;
            /*border: 1px solid #dee2e6;*/
            /*border-radius: 0.5rem;*/
        }

            .form-control:focus {
                border-color: #0d6efd; /* Bootstrap primary color */
                box-shadow: none;
            }

        .field-icon {
            float: right;
            margin-right: 5px;
            margin-top: -32px;
            position: relative;
            z-index: 2;
            cursor: pointer;
        }

        .flex-container-account {
            display: flex;
            justify-content: space-between; /* Distribute space between items !1!*/
            align-items: center; /* Center items vertically 
    /*gap: 5px;*/ /*1rem;*/ /* Adds space between the columns */
        }
            /*
* The 'flex: 1' property is a shorthand for:
* - flex-grow: 1 (Allows the item to grow to fill available space)
* - flex-shrink: 1 (Allows the item to shrink if needed)
* - flex-basis: 0% (Sets the initial size before growing/shrinking)
* This makes all three items take up an equal amount of space.
*/
            .flex-container-account > .item-account {
                flex: 1;
            }

            .flex-container-account .item-account:first-child {
                text-align: left;
            }

            .flex-container-account .item-account:nth-child(2) {
                text-align: center;
            }

            .flex-container-account .item-account:last-child {
                text-align: right;
            }

        .font-bank {
            font-size: clamp(12px, 2.5vw, 14px) !important;
            font-weight: normal !important;
        }

        .font-account-no {
            font-size: clamp(13px, 2.5vw, 16px) !important;
            font-weight: 500;
        }

        .font-account-name {
            font-size: clamp(12px, 2.5vw, 14px) !important;
            font-weight: normal !important;
        }

        .font-balance {
            font-size: clamp(14px, 2.5vw, 16px) !important;
            font-weight: 500 !important;
        }

        .font-promotion {
            font-size: clamp(12px, 2.5vw, 16px) !important;
            font-weight: 400 !important;
        }

        .font-condition {
            font-size: clamp(12px, 2.5vw, 14px) !important;
            font-weight: 300 !important;
        }

        .font-form {
            font-size: clamp(12px, 2.5vw, 14px) !important;
            font-weight: 300 !important;
        }

.auto-font {
    /* clamp(MIN, VAL, MAX) */
    font-size: clamp(0.875rem, 2.5vw, 1.2rem);
    /* Optional: Safeguards to prevent breaking the layout if the screen is extremely narrow */
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}